All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
solver-factory.hh File Reference
`#include <roboptim/core/sys.hh>`
`#include <roboptim/core/debug.hh>`
`#include <stdexcept>`
`#include <string>`
`#include <ltdl.h>`
`#include <boost/static_assert.hpp>`
`#include <boost/type_traits/is_base_of.hpp>`
`#include <roboptim/core/fwd.hh>`
`#include <roboptim/core/solver.hh>`
`#include <roboptim/core/solver-error.hh>`
`#include <roboptim/core/solver-factory.hxx>`

## Classes

class | roboptim::SolverFactory< T >
| Define a solver factory that instanciate the plug-ins. More...

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.